> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/graphics/textmanager/filtertexts.md).

# FilterTexts

### Introduction

The FilterTexts property controls whether Texts are rendered. The TextManager can set this value and it will override the value set in [the GraphicsOption's TextureFilter property](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php).

### Default Value

The default for TextManager.FilterTexts is false, while the default value for [the GraphicsOption's TextureFilter](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) is on (technically it's an enumeration, but for simplicity we'll say that filtering does occur). The reason for this is because Text which is drawn to-the-pixel does not need to be filtered. Filtering text that is drawn to-the-pixel will make it look fuzzier than normal.

However, you may want to turn FilterTexts to true if you plan on drawing Texts at larger-than-pixel-perfect to reduce their pixellated look.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/graphics/textmanager/filtertexts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
